## triehash 0.3

=== debian/changelog ===
triehash (0.3-3) unstable; urgency=medium

  * Set Multi-Arch: foreign to make apt cross bd-installable again.
    Thanks to Helmut Grohne for reporting this

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Mar 2020 10:56:48 +0100

triehash (0.3-2) unstable; urgency=medium

  * Re-upload source-only

 -- Julian Andres Klode <jak@debian.org>  Thu, 05 Sep 2019 15:15:27 +0200

triehash (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #921372)

 -- Julian Andres Klode <jak@debian.org>  Thu, 14 Feb 2019 22:13:42 +0100
